# -*- encoding: utf-8 -*-
# stub: bucket_client 0.1.4 ruby lib

Gem::Specification.new do |s|
  s.name = "bucket_client".freeze
  s.version = "0.1.4"

  s.required_rubygems_version = Gem::Requirement.new(">= 0".freeze) if s.respond_to? :required_rubygems_version=
  s.require_paths = ["lib".freeze]
  s.authors = ["kirinnee".freeze]
  s.bindir = "exe".freeze
  s.date = "2019-04-26"
  s.description = "Bucket Client is a ruby gem that allows programmers to interact with popular Blob Storage cloud\nservices. This intends to act as a layer of abstraction, much like ORM is to databases.\n\nWith this, you may easily change the blob storage provider or even defer them.\n\nThe supported cloud storage include:\n- Google Cloud Platform Cloud Storage\n- Amazon Web Service S3 Bucket\n- Digital Ocean Spaces\n- Azure Blob Storage (Microsoft).".freeze
  s.email = ["kirinnee97@gmail.com".freeze]
  s.homepage = "https://gitlab.com/ruby-gem/bucket_client".freeze
  s.licenses = ["MIT".freeze]
  s.rubygems_version = "3.2.22".freeze
  s.summary = "A gem that allows for ruby code to interact with cloud blob storage such as AWS S3, GCP Cloud Storage and Azure Blob Storage".freeze

  s.installed_by_version = "3.2.22" if s.respond_to? :installed_by_version

  if s.respond_to? :specification_version then
    s.specification_version = 4
  end

  if s.respond_to? :add_runtime_dependency then
    s.add_runtime_dependency(%q<kirin_http>.freeze, [">= 0"])
    s.add_runtime_dependency(%q<mimemagic>.freeze, [">= 0"])
    s.add_runtime_dependency(%q<ox>.freeze, [">= 0"])
    s.add_runtime_dependency(%q<azure-storage-blob>.freeze, [">= 0"])
    s.add_runtime_dependency(%q<addressable>.freeze, ["~> 2.5"])
    s.add_runtime_dependency(%q<google-cloud-storage>.freeze, ["~> 1.17"])
    s.add_development_dependency(%q<bundler>.freeze, ["~> 1.17"])
    s.add_development_dependency(%q<rake>.freeze, ["~> 10.0"])
    s.add_development_dependency(%q<rspec>.freeze, ["~> 3.0"])
    s.add_development_dependency(%q<dotenv>.freeze, [">= 0"])
  else
    s.add_dependency(%q<kirin_http>.freeze, [">= 0"])
    s.add_dependency(%q<mimemagic>.freeze, [">= 0"])
    s.add_dependency(%q<ox>.freeze, [">= 0"])
    s.add_dependency(%q<azure-storage-blob>.freeze, [">= 0"])
    s.add_dependency(%q<addressable>.freeze, ["~> 2.5"])
    s.add_dependency(%q<google-cloud-storage>.freeze, ["~> 1.17"])
    s.add_dependency(%q<bundler>.freeze, ["~> 1.17"])
    s.add_dependency(%q<rake>.freeze, ["~> 10.0"])
    s.add_dependency(%q<rspec>.freeze, ["~> 3.0"])
    s.add_dependency(%q<dotenv>.freeze, [">= 0"])
  end
end
